BIO_COPY_USER(9)

NAME
bio_copy_user - copy user data to bio

SYNOPSIS

struct bio * bio_copy_user (request_queue_t * q, unsigned long uaddr, unsigned int len, int write_to_vm);

ARGUMENTS

q   destination block queue

uaddr
    start of user address

len length in bytes

write_to_vm
    bool indicating writing to pages or not

DESCRIPTION

Prepares and returns a bio for indirect user io, bouncing data to/from kernel pages as necessary. Must be paired with call bio_uncopy_user on io completion.